Completions
Given a list of messages comprising a conversation, the model will return a response.
Create chat completion
chat.completions.create(CompletionCreateParams**kwargs ) -> ChatCompletion
POST
/chat/completionsDelete chat completion
chat.completions.delete(strcompletion_id ) -> ChatCompletionDeleted
DELETE
/chat/completions/{completion_id}List Chat Completions
chat.completions.list(CompletionListParams**kwargs ) -> SyncCursorPage[ChatCompletion]
GET
/chat/completionsGet chat completion
chat.completions.retrieve(strcompletion_id ) -> ChatCompletion
GET
/chat/completions/{completion_id}Update chat completion
chat.completions.update(strcompletion_id , CompletionUpdateParams**kwargs ) -> ChatCompletion
POST
/chat/completions/{completion_id}CompletionsMessages
Given a list of messages comprising a conversation, the model will return a response.
Get chat messages
chat.completions.messages.list(strcompletion_id , MessageListParams**kwargs ) -> SyncCursorPage[ChatCompletionStoreMessage]
GET
/chat/completions/{completion_id}/messages